Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
View this page
Toggle table of contents sidebar

# DataCredentials

class telegram.DataCredentials(data_hash, secret, *, api_kwargs=None)

  Bases: `telegram.TelegramObject`

  These credentials can be used to decrypt encrypted data from the data field in EncryptedPassportData.

  Available In

  `telegram.SecureValue.data`

  Parameters:

    - data_hash (`str`) – Checksum of encrypted data

    - secret (`str`) – Secret of encrypted data

  hash

    Checksum of encrypted data

    Type:

      `str`

  secret

    Secret of encrypted data

    Type:

      `str`